org.apache.struts2.portlet.servlet

## Class PortletServletInputStream

- java.lang.Object
- - java.io.InputStream
  - - javax.servlet.ServletInputStream
    - - org.apache.struts2.portlet.servlet.PortletServletInputStream

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public class PortletServletInputStream
      extends javax.servlet.ServletInputStream

  Wrapper object exposing a `InputStream` from a portlet as a `ServletInputStream` instance. Clients accessing this stream object will in fact operate on the `InputStream` object wrapped by this stream object.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PortletServletInputStream(InputStream portletInputStream)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `available()`
    `void` | `close()`
    `InputStream` | `getInputStream()` Get the wrapped `InputStream` instance.
    `boolean` | `isFinished()`
    `boolean` | `isReady()`
    `void` | `mark(int readlimit)`
    `boolean` | `markSupported()`
    `int` | `read()`
    `int` | `read(byte[] b)`
    `int` | `read(byte[] b, int off, int len)`
    `void` | `reset()`
    `void` | `setReadListener(javax.servlet.ReadListener readListener)`
    `long` | `skip(long n)`

    - ### Methods inherited from class javax.servlet.ServletInputStream

      `readLine`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PortletServletInputStream

          public PortletServletInputStream(InputStream portletInputStream)

  - ### Method Detail

    - #### read

          public int read()
                   throws IOException

      Specified by:
        `read` in class `InputStream`
      Throws:
        `IOException`

    - #### available

          public int available()
                        throws IOException

      Overrides:
        `available` in class `InputStream`
      Throws:
        `IOException`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Overrides:
        `close` in class `InputStream`
      Throws:
        `IOException`

    - #### mark

          public void mark(int readlimit)

      Overrides:
        `mark` in class `InputStream`

    - #### markSupported

          public boolean markSupported()

      Overrides:
        `markSupported` in class `InputStream`

    - #### read

          public int read(byte[] b,
                          int off,
                          int len)
                   throws IOException

      Overrides:
        `read` in class `InputStream`
      Throws:
        `IOException`

    - #### read

          public int read(byte[] b)
                   throws IOException

      Overrides:
        `read` in class `InputStream`
      Throws:
        `IOException`

    - #### reset

          public void reset()
                     throws IOException

      Overrides:
        `reset` in class `InputStream`
      Throws:
        `IOException`

    - #### skip

          public long skip(long n)
                    throws IOException

      Overrides:
        `skip` in class `InputStream`
      Throws:
        `IOException`

    - #### getInputStream

          public InputStream getInputStream()

      Get the wrapped `InputStream` instance.
      Returns:
        The wrapped `InputStream` instance.

    - #### isFinished

          public boolean isFinished()

      Specified by:
        `isFinished` in class `javax.servlet.ServletInputStream`

    - #### isReady

          public boolean isReady()

      Specified by:
        `isReady` in class `javax.servlet.ServletInputStream`

    - #### setReadListener

          public void setReadListener(javax.servlet.ReadListener readListener)

      Specified by:
        `setReadListener` in class `javax.servlet.ServletInputStream`

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.